import { boot } from "quasar/wrappers";
// 全局组件注册
import PageLayout from "layouts/components/PageLayout.vue";
import InfiniteScroll from "components/InfiniteScroll.vue";
import UserAvatar from "components/UserAvatar.vue";
import AuthButton from "components/AuthButton.vue";
import WarnTip from "components/WarnTip.vue";
import LoadingView from "components/LoadingView.vue";
// import hevueImgPreview from 'hevue-img-preview'
// Vue.use(hevueImgPreview, {
//   clickMaskCLose: true
// })

// ImagePreview
import 'vant/es/image-preview/style';
// import { ImagePreview } from 'vant';
export default boot(({ app, router, store, urlPath, redirect }) => {
  app.component("PageLayout", PageLayout);
  app.component("InfiniteScroll", InfiniteScroll);
  app.component("UserAvatar", UserAvatar);
  app.component("AuthButton", AuthButton);
  app.component('WarnTip',WarnTip)
  app.component('LoadingView',LoadingView)
  app.config.errorHandler = (err, instance, info) => {
    console.error(err,instance,info)
  }
  // app.use(ImagePreview);
});
